Bug 125326 - grub has missing dependency
grub has missing dependency
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-04 14:24 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-22 18:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-06-04 14:24:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
grub has a missing build dependency for automake:

--- working/grub/grub.spec      2004-05-07 00:36:20.000000000 -0400
+++ /opt/specs/grub.spec        2004-06-02 09:19:55.000000000 -0400
@@ -53,7 +53,7 @@
 Patch1000: grub-0.94-geometry-26kernel.patch
                                                                     
          
 ExclusiveArch: i386 x86_64
-BuildRequires: binutils >= 2.9.1.0.23, ncurses-devel, texinfo
+BuildRequires: binutils >= 2.9.1.0.23, ncurses-devel, texinfo, automake
 PreReq: /sbin/install-info
 Requires: mktemp
 Requires: /usr/bin/cmp

Version-Release number of selected component (if applicable):
grub-0.94-5

How reproducible:
Always

Steps to Reproduce:
1. rpm -e --nodeps automake
2. rpmbuild -bb /usr/src/redhat/SPECS/grub.spec

Additional info:
Comment 1 Jeremy Katz 2004-06-04 17:19:52 EDT
Added in CVS for next build.

Note You need to log in before you can comment on or make changes to this bug.